Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.renderer
Class Renderer_Default

    java.lang.Object
      rendsite.renderer.Renderer
          rendsite.renderer.Renderer_Default

    public class Renderer_Default

extends Renderer

Base renderer.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Field Summary

Fields inherited from class rendsite.renderer.Renderer
`logger, pcontext, rcontext`

Constructor Summary
`Renderer_Default(RenderingContext rcontext, PropertiesGeneralContext pcontext)` Construct a renderer.

Method Summary
`void` | `check(Node_File source)` Check a file.
`void` | `render(Node_Directory source)` Render a directory context.
`void` | `render(Node_File source)` Render a file.
`void` | `renderFrame(Node_Directory source)` Render the frame itself.

Methods inherited from class rendsite.renderer.Renderer
`blankIfNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Renderer_Default

    public Renderer_Default(RenderingContext rcontext,
                            PropertiesGeneralContext pcontext)
                     throws things.common.ThingsException

  Construct a renderer. Let the system do this for you.

  Parameters:
    `rcontext` - The rendering context. A renderer cannot change context.
    `pcontext` - general properties context.
  Throws:
    `ThingsException.` - This will usually happen only if you give it a bad context.
    `things.common.ThingsException`

Method Detail

### render

    public void render(Node_File source)
                throws things.common.ThingsException

  Render a file. Return the final rendered file, suitable for cataloging.

  Specified by:
    `render` in class `Renderer`
  Parameters:
    `source` -
  Throws:
    `things.common.ThingsException`

### check

    public void check(Node_File source)
               throws things.common.ThingsException

  Check a file. The file exists and the configuration has not changed, so you don't need to render it. However, you may choose to render it anyway.

  IMPORTANT! IMPORTANT! Neighbors are determined during rendering, not spidering. If the neighbor is not opened for write, but an old version exists, it will be treated as a dead file and removed during cleanup. You can make

  Specified by:
    `check` in class `Renderer`
  Parameters:
    `source` - The file to render.
  Throws:
    `things.common.ThingsException`

### render

    public void render(Node_Directory source)
                throws things.common.ThingsException

  Render a directory context. There may not be much to do here. Any catalog page should be rendered by renderFrame() so that it is done after all other processing is complete.

  Specified by:
    `render` in class `Renderer`
  Parameters:
    `source` - the source directory
  Throws:
    `things.common.ThingsException`

### renderFrame

    public void renderFrame(Node_Directory source)
                     throws things.common.ThingsException

  Render the frame itself. If you make a catalog, it is important you set the catalogFileName in the source directory if you want the parent catalog to point at it.

  Specified by:
    `renderFrame` in class `Renderer`
  Parameters:
    `source` - the source directory
  Throws:
    `things.common.ThingsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.